%define dist Attribute-Handlers
Name: perl-%dist
Version: 0.78
Release: alt2

Summary: Simpler definition of attribute handlers
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch
Requires: perl-base >= 1:5.8.6

# Automatically added by buildreq on Sun Aug 05 2007
BuildRequires: perl-devel

%description
This module, when inherited by a package, allows that package's class to
define attribute handler subroutines for specific attributes. Variables
and subroutines subsequently defined in that package, or in packages
derived from that package may be given attributes with the same names as
the attribute handler subroutines, which will then be called in one of
the compilation phases (i.e. in a BEGIN, CHECK, INIT, or END block).

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes demo/
%perl_vendor_privlib/Attribute*

%changelog
* Sun Aug 05 2007 Alexey Tourbin <at@altlinux.ru> 0.78-alt2
- updated from perl-5.9 branch (at change 29414)

* Tue Dec 14 2004 Alexey Tourbin <at@altlinux.ru> 0.78-alt1
- initial revision (split off from perl-base)
- updated to 0.78_01 from perl-5.8.6
